- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Grid Smart Object.
Smart Object Functions

Convenience smart object that packs children under a regular grid layout, using their virtual grid location and size to determine children's positions inside the grid object's area. More...

const Eo_Class * | evas_object_grid_class_get (void)
#define | EVAS_OBJ_GRID_CLASS evas_object_grid_class_get()
#define | EVAS_OBJ_GRID_ID(sub_id) (EVAS_OBJ_GRID_BASE_ID + sub_id)
#define | evas_obj_grid_add(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ADD), EO_TYPECHECK(Evas_Object **, ret)
#define | evas_obj_grid_add_to(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ADD_TO), EO_TYPECHECK(Evas_Object **, ret)
#define | evas_obj_grid_size_set(w, h) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
#define | evas_obj_grid_size_get(w, h) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
#define | evas_obj_grid_pack(child, x, y, w, h, ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_PACK), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_obj_grid_unpack(child, ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_UNPACK), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_obj_grid_clear(clear) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_CLEAR), EO_TYPECHECK(Eina_Bool, clear)
#define | evas_obj_grid_pack_get(child, x, y, w, h, ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_PACK_GET), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_obj_grid_iterator_new(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ITERATOR_NEW), EO_TYPECHECK(Eina_Iterator **, ret)
#define | evas_obj_grid_accessor_new(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ACCESSOR_NEW), EO_TYPECHECK(Eina_Accessor **, ret)
#define | evas_obj_grid_children_get(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_CHILDREN_GET), EO_TYPECHECK(Eina_List **, ret)
#define | evas_obj_grid_mirrored_get(ret) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_MIRRORED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_obj_grid_mirrored_set(mirrored) EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_MIRRORED_SET), EO_TYPECHECK(Eina_Bool, mirrored)
enum | { EVAS_OBJ_GRID_SUB_ID_ADD_TO, EVAS_OBJ_GRID_SUB_ID_SIZE_SET, EVAS_OBJ_GRID_SUB_ID_SIZE_GET, EVAS_OBJ_GRID_SUB_ID_PACK, EVAS_OBJ_GRID_SUB_ID_UNPACK, EVAS_OBJ_GRID_SUB_ID_CLEAR, EVAS_OBJ_GRID_SUB_ID_PACK_GET, EVAS_OBJ_GRID_SUB_ID_ITERATOR_NEW, EVAS_OBJ_GRID_SUB_ID_ACCESSOR_NEW, EVAS_OBJ_GRID_SUB_ID_CHILDREN_GET, EVAS_OBJ_GRID_SUB_ID_MIRRORED_GET, EVAS_OBJ_GRID_SUB_ID_MIRRORED_SET, EVAS_OBJ_GRID_SUB_ID_LAST }
Eo_Op | EVAS_OBJ_GRID_BASE_ID
Evas_Object * | evas_object_textgrid_add (Evas *e)
| Add a textgrid to the given Evas. More...
void | evas_object_textgrid_size_set (Evas_Object *obj, int w, int h)
| Set the size of the textgrid object. More...
void | evas_object_textgrid_size_get (const Evas_Object *obj, int *w, int *h)
| Get the size of the textgrid object. More...
void | evas_object_textgrid_font_source_set (Evas_Object *obj, const char *font_source)
| Set the font (source) file to be used on a given textgrid object. More...
const char * | evas_object_textgrid_font_source_get (const Evas_Object *obj)
| Get the font file's path which is being used on a given textgrid object. More...
void | evas_object_textgrid_font_set (Evas_Object *obj, const char *font_name, Evas_Font_Size font_size)
| Set the font family and size on a given textgrid object. More...
void | evas_object_textgrid_font_get (const Evas_Object *obj, const char **font_name, Evas_Font_Size *font_size)
| Retrieve the font family and size in use on a given textgrid object. More...
void | evas_object_textgrid_cell_size_get (const Evas_Object *obj, Evas_Coord *w, Evas_Coord *h)
| Retrieve the size of a cell of the given textgrid object in pixels. More...
void | evas_object_textgrid_palette_set (Evas_Object *obj, Evas_Textgrid_Palette pal, int idx, int r, int g, int b, int a)
| The set color to the given palette at the given index of the given textgrid object. More...
void | evas_object_textgrid_palette_get (const Evas_Object *obj, Evas_Textgrid_Palette pal, int idx, int *r, int *g, int *b, int *a)
| The retrieve color to the given palette at the given index of the given textgrid object. More...
void | evas_object_textgrid_supported_font_styles_set (Evas_Object *obj, Evas_Textgrid_Font_Style styles)
Evas_Textgrid_Font_Style | evas_object_textgrid_supported_font_styles_get (const Evas_Object *obj)
void | evas_object_textgrid_cellrow_set (Evas_Object *obj, int y, const Evas_Textgrid_Cell *row)
| Set the string at the given row of the given textgrid object. More...
Evas_Textgrid_Cell * | evas_object_textgrid_cellrow_get (const Evas_Object *obj, int y)
| Get the string at the given row of the given textgrid object. More...
void | evas_object_textgrid_update_add (Evas_Object *obj, int x, int y, int w, int h)
| Indicate for evas that part of a textgrid region (cells) has been updated. More...
Evas_Object * | evas_object_grid_add (Evas *evas)
| Create a new grid. More...
Evas_Object * | evas_object_grid_add_to (Evas_Object *parent)
| Create a grid that is child of a given element parent. More...
void | evas_object_grid_size_set (Evas_Object *o, int w, int h)
| Set the virtual resolution for the grid. More...
void | evas_object_grid_size_get (const Evas_Object *o, int *w, int *h)
| Get the current virtual resolution. More...
void | evas_object_grid_mirrored_set (Evas_Object *o, Eina_Bool mirrored)
| Sets the mirrored mode of the grid. More...
Eina_Bool | evas_object_grid_mirrored_get (const Evas_Object *o)
| Gets the mirrored mode of the grid. More...
Eina_Bool | evas_object_grid_pack (Evas_Object *o, Evas_Object *child, int x, int y, int w, int h)
| Add a new child to a grid object. More...
Eina_Bool | evas_object_grid_unpack (Evas_Object *o, Evas_Object *child)
| Remove child from grid. More...
void | evas_object_grid_clear (Evas_Object *o, Eina_Bool clear)
| Faster way to remove all child objects from a grid object. More...
Eina_Bool | evas_object_grid_pack_get (const Evas_Object *o, Evas_Object *child, int *x, int *y, int *w, int *h)
| Get the pack options for a grid child. More...
Eina_Iterator * | evas_object_grid_iterator_new (const Evas_Object *o)
| Get an iterator to walk the list of children for the grid. More...
Eina_Accessor * | evas_object_grid_accessor_new (const Evas_Object *o)
| Get an accessor to get random access to the list of children for the grid. More...
Eina_List * | evas_object_grid_children_get (const Evas_Object *o)
| Get the list of children for the grid. More...

## Detailed Description

Convenience smart object that packs children under a regular grid layout, using their virtual grid location and size to determine children's positions inside the grid object's area.

Since
  1.1

## Macro Definition Documentation

#define evas_obj_grid_add | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ADD), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Create a new grid.

Parameters

  [out] | ret |

See Also
  evas_object_grid_add

#define evas_obj_grid_add_to | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ADD_TO), EO_TYPECHECK(Evas_Object **, ret)

Since
  1.8

Create a grid that is child of a given element parent.

Parameters

  [out] | ret |

See Also
  evas_object_grid_add_to

Referenced by evas_object_grid_add_to().

#define evas_obj_grid_size_set | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_SIZE_SET), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Since
  1.8

Set the virtual resolution for the grid

Parameters

  [in] | w |
  [in] | h |

See Also
  evas_object_grid_size_set

Referenced by evas_object_grid_size_set().

#define evas_obj_grid_size_get | ( |  | w,
|  |  | h
| ) |  | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Since
  1.8

Get the current virtual resolution

Parameters

  [out] | w |
  [out] | h |

See Also
  evas_object_grid_size_get

Referenced by evas_object_grid_size_get().

#define evas_obj_grid_pack | ( |  | child,
|  |  | x,
|  |  | y,
|  |  | w,
|  |  | h,
|  |  | ret
| ) |  | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_PACK), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Add a new child to a grid object.

Parameters

  [in] | child |
  [in] | x |
  [in] | y |
  [in] | w |
  [in] | h |
  [out] | ret |

See Also
  evas_object_grid_pack

Referenced by evas_object_grid_pack().

#define evas_obj_grid_unpack | ( |  | child,
|  |  | ret
| ) |  | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_UNPACK), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Remove child from grid.

Parameters

  [in] | child |
  [out] | ret |

See Also
  evas_object_grid_unpack

Referenced by evas_object_grid_unpack().

#define evas_obj_grid_clear | ( |  | clear | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_CLEAR), EO_TYPECHECK(Eina_Bool, clear)

Since
  1.8

Faster way to remove all child objects from a grid object.

Parameters

  [in] | clear |

See Also
  evas_object_grid_clear

Referenced by evas_object_grid_clear().

#define evas_obj_grid_pack_get | ( |  | child,
|  |  | x,
|  |  | y,
|  |  | w,
|  |  | h,
|  |  | ret
| ) |  | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_PACK_GET), EO_TYPECHECK(Evas_Object *, child), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the pack options for a grid child

Parameters

  [in] | child |
  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |
  [out] | ret |

See Also
  evas_object_grid_pack_get

Referenced by evas_object_grid_pack_get().

#define evas_obj_grid_iterator_new | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ITERATOR_NEW), EO_TYPECHECK(Eina_Iterator **, ret)

Since
  1.8

Get an iterator to walk the list of children for the grid.

Parameters

  [out] | ret |

See Also
  evas_object_grid_iterator_new

Referenced by evas_object_grid_iterator_new().

#define evas_obj_grid_accessor_new | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_ACCESSOR_NEW), EO_TYPECHECK(Eina_Accessor **, ret)

Since
  1.8

Get an accessor to get random access to the list of children for the grid.

Parameters

  [out] | ret |

See Also
  evas_object_grid_accessor_new

Referenced by evas_object_grid_accessor_new().

#define evas_obj_grid_children_get | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_CHILDREN_GET), EO_TYPECHECK(Eina_List **, ret)

Since
  1.8

Get the list of children for the grid.

Parameters

  [out] | ret |

See Also
  evas_object_grid_children_get

Referenced by evas_object_grid_children_get().

#define evas_obj_grid_mirrored_get | ( |  | ret | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_MIRRORED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Gets the mirrored mode of the grid.

Parameters

  [out] | ret |

See Also
  evas_object_grid_mirrored_get

Referenced by evas_object_grid_mirrored_get().

#define evas_obj_grid_mirrored_set | ( |  | mirrored | ) | EVAS_OBJ_GRID_ID(EVAS_OBJ_GRID_SUB_ID_MIRRORED_SET), EO_TYPECHECK(Eina_Bool, mirrored)

Since
  1.8

Sets the mirrored mode of the grid. In mirrored mode the grid items go

Parameters

  [in] | mirrored |

See Also
  evas_object_grid_mirrored_set

Referenced by evas_object_grid_mirrored_set().

## Function Documentation

Evas_Object* evas_object_textgrid_add | ( | Evas * | e | ) |

Add a textgrid to the given Evas.

Parameters

  e | The given evas.

Returns
  The new textgrid object.

This function adds a new textgrid object to the Evas `e` and returns the object.

Since
  1.7

Evas_Object* evas_object_grid_add | ( | Evas * | evas | ) |

Create a new grid.

It's set to a virtual size of 1x1 by default and add children with evas_object_grid_pack().

Since
  1.1

void evas_object_textgrid_size_set | ( | Evas_Object * | obj,
|  | int | w,
|  | int | h
| ) |  |

Set the size of the textgrid object.

Parameters

  obj | The textgrid object.
  w | The number of columns (width in cells) of the grid.
  h | The number of rows (height in cells) of the grid.

This function sets the number of lines `h` and the number of columns `w` to the textgrid object `obj`. If `w` or `h` are less or equal than 0, this functiond does nothing.

Since
  1.7

References evas_obj_textgrid_size_set.

void evas_object_textgrid_size_get | ( | const Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Get the size of the textgrid object.

Parameters

  obj | The textgrid object.
  w | The number of columns of the grid.
  h | The number of rows of the grid.

This function retrieves the number of lines in the buffer `h` and the number of columns in the buffer `w` of the textgrid object `obj`. `w` or `h` can be `NULL`. On error, their value is 0.

Since
  1.7

References evas_obj_textgrid_size_get.

void evas_object_textgrid_font_source_set | ( | Evas_Object * | obj,
|  | const char * | font_source
| ) |  |

Set the font (source) file to be used on a given textgrid object.

Parameters

  obj | The textgrid object to set font for.
  font_source | The font file's path.

This function allows the font file `font_source` to be explicitly set for the textgrid object `obj`, overriding system lookup, which will first occur in the given file's contents. If `font_source` is `NULL` or is an empty string, or the same font_source has already been set, or on error, this function does nothing.

See Also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

References evas_obj_textgrid_font_source_set.

const char* evas_object_textgrid_font_source_get | ( | const Evas_Object * | obj | ) |

Get the font file's path which is being used on a given textgrid object.

Parameters

  obj | The textgrid object to set font for.

Returns
  The font file's path.

This function returns the font source path of the textgrid object `obj`. If the font source path has not been set, or on error, `NULL` is returned.

See Also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_set()

Since
  1.7

References evas_obj_textgrid_font_source_get.

void evas_object_textgrid_font_set | ( | Evas_Object * | obj,
|  | const char * | font_name,
|  | Evas_Font_Size | font_size
| ) |  |

Set the font family and size on a given textgrid object.

Parameters

  obj | The textgrid object to set font for.
  font_name | The font (family) name.
  font_size | The font size, in points.

This function allows the font name `font_name` and size `font_size` of the textgrid object `obj` to be set. The `font_name` string has to follow fontconfig's convention on naming fonts, as it's the underlying library used to query system fonts by Evas (see the `fc-list` command's output, on your system, to get an idea). It also has to be a monospace font. If `font_name` is `NULL`, or if it is an empty string, or if `font_size` is less or equal than 0, or on error, this function does nothing.

See Also
  evas_object_textgrid_font_get()
  evas_object_textgrid_font_source_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

References evas_obj_textgrid_font_set.

void evas_object_textgrid_font_get | ( | const Evas_Object * | obj,
|  | const char ** | font_name,
|  | Evas_Font_Size * | font_size
| ) |  |

Retrieve the font family and size in use on a given textgrid object.

Parameters

  obj | The textgrid object to query for font information.
  font_name | A pointer to the location to store the font name in.
  font_size | A pointer to the location to store the font size in.

This function allows the font name and size of a textgrid object `obj` to be queried and stored respectively in the buffers `font_name` and `font_size`. Be aware that the font name string is still owned by Evas and should not have free() called on it by the caller of the function. On error, the font name is the empty string and the font size is 0. `font_name` and `font_source` can be `NULL`.

See Also
  evas_object_textgrid_font_set()
  evas_object_textgrid_font_source_set()
  evas_object_textgrid_font_source_get()

Since
  1.7

References evas_obj_textgrid_font_get.

void evas_object_textgrid_cell_size_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Retrieve the size of a cell of the given textgrid object in pixels.

Parameters

  obj | The textgrid object to query for font information.
  w | A pointer to the location to store the width in pixels of a cell.
  h | A pointer to the location to store the height in pixels of a cell.

This functions retrieves the width and height, in pixels, of a cell of the textgrid object `obj` and store them respectively in the buffers `width` and `height`. Their value depends on the monospace font used for the textgrid object, as well as the style. `width` and `height` can be `NULL`. On error, they are set to 0.

See Also
  evas_object_textgrid_font_set()
  evas_object_textgrid_supported_font_styles_set()

Since
  1.7

References evas_obj_textgrid_cell_size_get.

void evas_object_textgrid_palette_set | ( | Evas_Object * | obj,
|  | Evas_Textgrid_Palette | pal,
|  | int | idx,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

The set color to the given palette at the given index of the given textgrid object.

Parameters

  obj | The textgrid object to query for font information.
  pal | The type of the palette to set the color.
  idx | The index of the paletter to which the color is stored.
  r | The red component of the color.
  g | The green component of the color.
  b | The blue component of the color.
  a | The alpha component of the color.

This function sets the color for the palette of type `pal` at the index `idx` of the textgrid object `obj`. The ARGB components are given by `r`, `g`, `b` and `a`. This color can be used when setting the Evas_Textgrid_Cell structure. The components must set a pre-multiplied color. If pal is EVAS_TEXTGRID_PALETTE_NONE or EVAS_TEXTGRID_PALETTE_LAST, or if `idx` is not between 0 and 255, or on error, this function does nothing. The color components are clamped between 0 and 255. If `idx` is greater than the latest set color, the colors between this last index and `idx` - 1 are set to black (0, 0, 0, 0).

See Also
  evas_object_textgrid_palette_get()

Since
  1.7

References evas_obj_textgrid_palette_set.

void evas_object_textgrid_palette_get | ( | const Evas_Object * | obj,
|  | Evas_Textgrid_Palette | pal,
|  | int | idx,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

The retrieve color to the given palette at the given index of the given textgrid object.

Parameters

  obj | The textgrid object to query for font information.
  pal | The type of the palette to set the color.
  idx | The index of the palette to which the color is stored.
  r | A pointer to the red component of the color.
  g | A pointer to the green component of the color.
  b | A pointer to the blue component of the color.
  a | A pointer to the alpha component of the color.

This function retrieves the color for the palette of type `pal` at the index `idx` of the textgrid object `obj`. The ARGB components are stored in the buffers `r`, `g`, `b` and `a`. If `idx` is not between 0 and the index of the latest set color, or if `pal` is EVAS_TEXTGRID_PALETTE_NONE or EVAS_TEXTGRID_PALETTE_LAST, the values of the components are 0. `r`, `g`, `b` and `a` can be `NULL`.

See Also
  evas_object_textgrid_palette_set()

Since
  1.7

References evas_obj_textgrid_palette_get.

void evas_object_textgrid_cellrow_set | ( | Evas_Object * | obj,
|  | int | y,
|  | const Evas_Textgrid_Cell * | row
| ) |  |

Set the string at the given row of the given textgrid object.

Parameters

  obj | The textgrid object to query for font information.
  y | The row index of the grid.
  row | The string as a sequence of Evas_Textgrid_Cell.

This function returns cells to the textgrid taken by evas_object_textgrid_cellrow_get(). The row pointer `row` should be the same row pointer returned by evas_object_textgrid_cellrow_get() for the same row `y`.

See Also
  evas_object_textgrid_cellrow_get()
  evas_object_textgrid_size_set()
  evas_object_textgrid_update_add()

Since
  1.7

References evas_obj_textgrid_cellrow_set.

Evas_Textgrid_Cell* evas_object_textgrid_cellrow_get | ( | const Evas_Object * | obj,
|  | int | y
| ) |  |

Get the string at the given row of the given textgrid object.

Parameters

  obj | The textgrid object to query for font information.
  y | The row index of the grid.

Returns
  A pointer to the first cell of the given row.

This function returns a pointer to the first cell of the line `y` of the textgrid object `obj`. If `y` is not between 0 and the number of lines of the grid - 1, or on error, this function return `NULL`.

See Also
  evas_object_textgrid_cellrow_set()
  evas_object_textgrid_size_set()
  evas_object_textgrid_update_add()

Since
  1.7

References evas_obj_textgrid_cellrow_get.

void evas_object_textgrid_update_add | ( | Evas_Object * | obj,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Indicate for evas that part of a textgrid region (cells) has been updated.

Parameters

  obj | The textgrid object.
  x | The rect region of cells top-left x (column)
  y | The rect region of cells top-left y (row)
  w | The rect region size in number of cells (columns)
  h | The rect region size in number of cells (rows)

This function declares to evas that a region of cells was updated by code and needs refreshing. An application should modify cells like this as an example:

Evas_Textgrid_Cell *cells;
int i;
cells = evas_object_textgrid_cellrow_get(obj, row);
for (i = 0; i < width; i++) cells[i].codepoint = 'E';
evas_object_textgrid_cellrow_set(obj, row, cells);
evas_object_textgrid_update_add(obj, 0, row, width, 1);

See Also
  evas_object_textgrid_cellrow_set()
  evas_object_textgrid_cellrow_get()
  evas_object_textgrid_size_set()

Since
  1.7

References evas_obj_textgrid_update_add.

Evas_Object* evas_object_grid_add_to | ( | Evas_Object * | parent | ) |

Create a grid that is child of a given element parent.

See Also
  evas_object_grid_add()

Since
  1.1

References evas_obj_grid_add_to.

void evas_object_grid_size_set | ( | Evas_Object * | o,
|  | int | w,
|  | int | h
| ) |  |

Set the virtual resolution for the grid.

Parameters

  o | The grid object to modify
  w | The virtual horizontal size (resolution) in integer units
  h | The virtual vertical size (resolution) in integer units

Since
  1.1

References evas_obj_grid_size_set.

void evas_object_grid_size_get | ( | const Evas_Object * | o,
|  | int * | w,
|  | int * | h
| ) |  |

Get the current virtual resolution.

Parameters

  o | The grid object to query
  w | A pointer to an integer to store the virtual width
  h | A pointer to an integer to store the virtual height

See Also
  evas_object_grid_size_set()

Since
  1.1

References evas_obj_grid_size_get.

void evas_object_grid_mirrored_set | ( | Evas_Object * | o,
|  | Eina_Bool | mirrored
| ) |  |

Sets the mirrored mode of the grid.

In mirrored mode the grid items go from right to left instead of left to right. That is, 0,0 is top right, not to left.

Parameters

  o | The grid object.
  mirrored | the mirrored mode to set

Since
  1.1

References evas_obj_grid_mirrored_set.

Eina_Bool evas_object_grid_mirrored_get | ( | const Evas_Object * | o | ) |

Gets the mirrored mode of the grid.

Parameters

  o | The grid object.

Returns
  `EINA_TRUE` if it's a mirrored grid, `EINA_FALSE` otherwise.

See Also
  evas_object_grid_mirrored_set()

Since
  1.1

References EINA_FALSE, and evas_obj_grid_mirrored_get.

Eina_Bool evas_object_grid_pack | ( | Evas_Object * | o,
|  | Evas_Object * | child,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Add a new child to a grid object.

Parameters

  o | The given grid object.
  child | The child object to add.
  x | The virtual x coordinate of the child
  y | The virtual y coordinate of the child
  w | The virtual width of the child
  h | The virtual height of the child

Returns
  1 on success, 0 on failure.

Since
  1.1

References EINA_FALSE, and evas_obj_grid_pack.

Eina_Bool evas_object_grid_unpack | ( | Evas_Object * | o,
|  | Evas_Object * | child
| ) |  |

Remove child from grid.

Note
  removing a child will immediately call a walk over children in order to recalculate numbers of columns and rows. If you plan to remove all children, use evas_object_grid_clear() instead.

Returns
  1 on success, 0 on failure.

Since
  1.1

References EINA_FALSE, and evas_obj_grid_unpack.

void evas_object_grid_clear | ( | Evas_Object * | o,
|  | Eina_Bool | clear
| ) |  |

Faster way to remove all child objects from a grid object.

Parameters

  o | The given grid object.
  clear | if true, it will delete just removed children.

Since
  1.1

References evas_obj_grid_clear.

Eina_Bool evas_object_grid_pack_get | ( | const Evas_Object * | o,
|  | Evas_Object * | child,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get the pack options for a grid child.

Get the pack x, y, width and height in virtual coordinates set by evas_object_grid_pack()

Parameters

  o | The grid object
  child | The grid child to query for coordinates
  x | The pointer to where the x coordinate will be returned
  y | The pointer to where the y coordinate will be returned
  w | The pointer to where the width will be returned
  h | The pointer to where the height will be returned

Returns
  1 on success, 0 on failure.

Since
  1.1

References EINA_FALSE, and evas_obj_grid_pack_get.

Eina_Iterator* evas_object_grid_iterator_new | ( | const Evas_Object * | o | ) |

Get an iterator to walk the list of children for the grid.

Note
  Do not remove or delete objects while walking the list.

Since
  1.1

References evas_obj_grid_iterator_new.

Eina_Accessor* evas_object_grid_accessor_new | ( | const Evas_Object * | o | ) |

Get an accessor to get random access to the list of children for the grid.

Note
  Do not remove or delete objects while walking the list.

Since
  1.1

References evas_obj_grid_accessor_new.

Eina_List* evas_object_grid_children_get | ( | const Evas_Object * | o | ) |

Get the list of children for the grid.

Note
  This is a duplicate of the list kept by the grid internally. It's up to the user to destroy it when it no longer needs it. It's possible to remove objects from the grid when walking this list, but these removals won't be reflected on it.

Since
  1.1

References evas_obj_grid_children_get.